import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Contenu from "../Contenu";
import Volet_Base from "../components/Volet_Base";
import Volet_Menu from "../components/Volet_Menu";
import Detail_Filtre from "../components/Detail_Filtre";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Detail_Filtre', () => {

    const wrapper = shallowMount(Detail_Filtre)

    wrapper.setData({filtres_Choisis: ['Charles']})
    let button = wrapper.find('#effacerFiltres');
    button.trigger('click');

    expect(wrapper.vm.filtres_Choisis).toEqual([])


})